"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class IlluminaSummaryCancerV4(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "ESTIMATED_CHROMOSOME_COUNT",
        "ESTIMATED_PURITY",
        "FRAMESHIFT_SOMATIC_DELETIONS",
        "FRAMESHIFT_SOMATIC_INSERTIONS",
        "MEAN_SOMATIC_SNV_FREQUENCY",
        "MEDIAN_SOMATIC_SNV_DISTANCE",
        "NON_SYNONYMOUS_SOMATIC_DELETIONS",
        "NON_SYNONYMOUS_SOMATIC_INSERTIONS",
        "NON_SYNONYMOUS_SOMATIC_SNVS",
        "NORMAL_COVERAGE_AT_10X",
        "NORMAL_COVERAGE_AT_15X",
        "NORMAL_COVERAGE_AT_1X",
        "NORMAL_MEAN_COVERAGE",
        "NORMAL_MEDIAN_READ_LENGTH",
        "NORMAL_MEDIAN_READ_LENGTH_READ_1",
        "NORMAL_MEDIAN_READ_LENGTH_READ_2",
        "NORMAL_MISMATCH_RATE",
        "NORMAL_MISMATCH_RATE_READ_1",
        "NORMAL_MISMATCH_RATE_READ_2",
        "NORMAL_PERCENT_ALIGNED_BASES",
        "NORMAL_PERCENT_ALIGNED_BASES_READ_1",
        "NORMAL_PERCENT_ALIGNED_BASES_READ_2",
        "NORMAL_PERCENT_ALIGNED_READS",
        "NORMAL_PERCENT_ALIGNED_READ_1",
        "NORMAL_PERCENT_ALIGNED_READ_2",
        "NORMAL_PERCENT_AT_DROPOUT",
        "NORMAL_PERCENT_DUPLICATE_ALIGNED_READS",
        "NORMAL_PERCENT_DUPLICATE_PROPER_READ_PAIRS",
        "NORMAL_PERCENT_GC_DROPOUT",
        "NORMAL_PERCENT_NON_SPATIAL_DUPLICATE_READ_PAIRS",
        "NORMAL_PERCENT_Q25_BASES_READ_1",
        "NORMAL_PERCENT_Q25_BASES_READ_2",
        "NORMAL_PERCENT_Q30_BASES",
        "NORMAL_PERCENT_Q30_BASES_READ_1",
        "NORMAL_PERCENT_Q30_BASES_READ_2",
        "NORMAL_PERCENT_READ_PAIRS_ALIGNED_TO_DIFFERENT_CHROMOSOMES",
        "NORMAL_PERCENT_SOFT_CLIPPED_BASES",
        "NORMAL_Q30_BASES_EXCLUDING_CLIPPED_AND_DUPLICATE_READ_BASES",
        "NORMAL_READ_ENRICHMENT_AT_75_GC",
        "NORMAL_READ_ENRICHMENT_AT_80_GC",
        "NORMAL_SAMPLE_ID",
        "NORMAL_SAMPLE_NAME",
        "NORMAL_TOTAL_ALIGNED_BASES",
        "NORMAL_TOTAL_ALIGNED_BASES_READ_1",
        "NORMAL_TOTAL_ALIGNED_BASES_READ_2",
        "NORMAL_TOTAL_ALIGNED_READS",
        "NORMAL_TOTAL_ALIGNED_READ_1",
        "NORMAL_TOTAL_ALIGNED_READ_2",
        "NORMAL_TOTAL_ALIGNED_READ_PAIRS",
        "NORMAL_TOTAL_DUPLICATE_ALIGNED_READS",
        "NORMAL_TOTAL_DUPLICATE_PROPER_READ_PAIRS",
        "NORMAL_TOTAL_MAPQ_GT_10_READS",
        "NORMAL_TOTAL_PF_BASES",
        "NORMAL_TOTAL_PF_BASES_READ_1",
        "NORMAL_TOTAL_PF_BASES_READ_2",
        "NORMAL_TOTAL_PF_READS",
        "NORMAL_TOTAL_PF_READ_1",
        "NORMAL_TOTAL_PF_READ_2",
        "NORMAL_TOTAL_PROPER_READ_PAIRS",
        "NORMAL_UNIQUE_ALIGNED_READS",
        "OVERALL_PLOIDY",
        "SOMATIC_CNVS",
        "SOMATIC_CNVS_ALL",
        "SOMATIC_CNVS_IN_GENES",
        "SOMATIC_DELETIONS",
        "SOMATIC_DELETIONS_ALL",
        "SOMATIC_DELETIONS_IN_CODING_REGIONS",
        "SOMATIC_DELETIONS_IN_EXONS",
        "SOMATIC_DELETIONS_IN_GENES",
        "SOMATIC_DELETIONS_IN_MATURE_MIRNA",
        "SOMATIC_DELETIONS_IN_SPLICE_SITE_REGIONS",
        "SOMATIC_DELETIONS_IN_UTR_REGIONS",
        "SOMATIC_DELETIONS_PERCENT_FOUND_IN_DBSNP",
        "SOMATIC_INDELS",
        "SOMATIC_INDELS_ALL",
        "SOMATIC_INDELS_PERCENT_FOUND_IN_DBSNP",
        "SOMATIC_INSERTIONS",
        "SOMATIC_INSERTIONS_ALL",
        "SOMATIC_INSERTIONS_IN_CODING_REGIONS",
        "SOMATIC_INSERTIONS_IN_EXONS",
        "SOMATIC_INSERTIONS_IN_GENES",
        "SOMATIC_INSERTIONS_IN_MATURE_MIRNA",
        "SOMATIC_INSERTIONS_IN_SPLICE_SITE_REGIONS",
        "SOMATIC_INSERTIONS_IN_UTR_REGIONS",
        "SOMATIC_INSERTIONS_PERCENT_FOUND_IN_DBSNP",
        "SOMATIC_SNVS",
        "SOMATIC_SNVS_ALL",
        "SOMATIC_SNVS_IN_CODING_REGIONS",
        "SOMATIC_SNVS_IN_EXONS",
        "SOMATIC_SNVS_IN_GENES",
        "SOMATIC_SNVS_IN_MATURE_MIRNA",
        "SOMATIC_SNVS_IN_SPLICE_SITE_REGIONS",
        "SOMATIC_SNVS_IN_UTR_REGIONS",
        "SOMATIC_SNVS_PERCENT_FOUND_IN_DBSNP",
        "SOMATIC_SNV_TS_TV_RATIO",
        "SOMATIC_SV_BREAKENDS",
        "SOMATIC_SV_BREAKENDS_ALL",
        "SOMATIC_SV_BREAKENDS_IN_GENES",
        "SOMATIC_SV_DELETIONS",
        "SOMATIC_SV_DELETIONS_ALL",
        "SOMATIC_SV_DELETIONS_IN_GENES",
        "SOMATIC_SV_INSERTIONS",
        "SOMATIC_SV_INSERTIONS_ALL",
        "SOMATIC_SV_INSERTIONS_IN_GENES",
        "SOMATIC_SV_INVERSIONS",
        "SOMATIC_SV_INVERSIONS_ALL",
        "SOMATIC_SV_INVERSIONS_IN_GENES",
        "SOMATIC_SV_TANDEM_DUPLICATIONS",
        "SOMATIC_SV_TANDEM_DUPLICATIONS_ALL",
        "SOMATIC_SV_TANDEM_DUPLICATIONS_IN_GENES",
        "STOP_GAINED_SOMATIC_DELETIONS",
        "STOP_GAINED_SOMATIC_INSERTIONS",
        "STOP_GAINED_SOMATIC_SNVS",
        "STOP_LOST_SOMATIC_DELETIONS",
        "STOP_LOST_SOMATIC_INSERTIONS",
        "STOP_LOST_SOMATIC_SNVS",
        "SYNONYMOUS_SOMATIC_SNVS",
        "TUMOR_COVERAGE_AT_10X",
        "TUMOR_COVERAGE_AT_15X",
        "TUMOR_COVERAGE_AT_1X",
        "TUMOR_MEAN_COVERAGE",
        "TUMOR_MEDIAN_READ_LENGTH",
        "TUMOR_MEDIAN_READ_LENGTH_READ_1",
        "TUMOR_MEDIAN_READ_LENGTH_READ_2",
        "TUMOR_MISMATCH_RATE",
        "TUMOR_MISMATCH_RATE_READ_1",
        "TUMOR_MISMATCH_RATE_READ_2",
        "TUMOR_PERCENT_ALIGNED_BASES",
        "TUMOR_PERCENT_ALIGNED_BASES_READ_1",
        "TUMOR_PERCENT_ALIGNED_BASES_READ_2",
        "TUMOR_PERCENT_ALIGNED_READS",
        "TUMOR_PERCENT_ALIGNED_READ_1",
        "TUMOR_PERCENT_ALIGNED_READ_2",
        "TUMOR_PERCENT_AT_DROPOUT",
        "TUMOR_PERCENT_DUPLICATE_ALIGNED_READS",
        "TUMOR_PERCENT_DUPLICATE_PROPER_READ_PAIRS",
        "TUMOR_PERCENT_GC_DROPOUT",
        "TUMOR_PERCENT_NON_SPATIAL_DUPLICATE_READ_PAIRS",
        "TUMOR_PERCENT_Q25_BASES_READ_1",
        "TUMOR_PERCENT_Q25_BASES_READ_2",
        "TUMOR_PERCENT_Q30_BASES",
        "TUMOR_PERCENT_Q30_BASES_READ_1",
        "TUMOR_PERCENT_Q30_BASES_READ_2",
        "TUMOR_PERCENT_READ_PAIRS_ALIGNED_TO_DIFFERENT_CHROMOSOMES",
        "TUMOR_PERCENT_SOFT_CLIPPED_BASES",
        "TUMOR_Q30_BASES_EXCLUDING_CLIPPED_AND_DUPLICATE_READ_BASES",
        "TUMOR_READ_ENRICHMENT_AT_75_GC",
        "TUMOR_READ_ENRICHMENT_AT_80_GC",
        "TUMOR_SAMPLE_ID",
        "TUMOR_SAMPLE_NAME",
        "TUMOR_TOTAL_ALIGNED_BASES",
        "TUMOR_TOTAL_ALIGNED_BASES_READ_1",
        "TUMOR_TOTAL_ALIGNED_BASES_READ_2",
        "TUMOR_TOTAL_ALIGNED_READS",
        "TUMOR_TOTAL_ALIGNED_READ_1",
        "TUMOR_TOTAL_ALIGNED_READ_2",
        "TUMOR_TOTAL_ALIGNED_READ_PAIRS",
        "TUMOR_TOTAL_DUPLICATE_ALIGNED_READS",
        "TUMOR_TOTAL_DUPLICATE_PROPER_READ_PAIRS",
        "TUMOR_TOTAL_MAPQ_GT_10_READS",
        "TUMOR_TOTAL_PF_BASES",
        "TUMOR_TOTAL_PF_BASES_READ_1",
        "TUMOR_TOTAL_PF_BASES_READ_2",
        "TUMOR_TOTAL_PF_READS",
        "TUMOR_TOTAL_PF_READ_1",
        "TUMOR_TOTAL_PF_READ_2",
        "TUMOR_TOTAL_PROPER_READ_PAIRS",
        "TUMOR_UNIQUE_ALIGNED_READS",
        "illumina_version",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_6_1 import metrics as metrics_1_1_0

        return {
            "illumina_version": metrics_1_1_0.IlluminaVersion,
        }

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_6_1 import metrics as metrics_1_1_0

        return {
            "org.gel.models.report.avro.IlluminaVersion": metrics_1_1_0.IlluminaVersion,
            "org.gel.models.report.avro.IlluminaSummaryCancerV4": metrics_1_1_0.IlluminaSummaryCancerV4,
        }

    __slots__ = [
        "ESTIMATED_CHROMOSOME_COUNT",
        "ESTIMATED_PURITY",
        "FRAMESHIFT_SOMATIC_DELETIONS",
        "FRAMESHIFT_SOMATIC_INSERTIONS",
        "MEAN_SOMATIC_SNV_FREQUENCY",
        "MEDIAN_SOMATIC_SNV_DISTANCE",
        "NON_SYNONYMOUS_SOMATIC_DELETIONS",
        "NON_SYNONYMOUS_SOMATIC_INSERTIONS",
        "NON_SYNONYMOUS_SOMATIC_SNVS",
        "NORMAL_COVERAGE_AT_10X",
        "NORMAL_COVERAGE_AT_15X",
        "NORMAL_COVERAGE_AT_1X",
        "NORMAL_MEAN_COVERAGE",
        "NORMAL_MEDIAN_READ_LENGTH",
        "NORMAL_MEDIAN_READ_LENGTH_READ_1",
        "NORMAL_MEDIAN_READ_LENGTH_READ_2",
        "NORMAL_MISMATCH_RATE",
        "NORMAL_MISMATCH_RATE_READ_1",
        "NORMAL_MISMATCH_RATE_READ_2",
        "NORMAL_PERCENT_ALIGNED_BASES",
        "NORMAL_PERCENT_ALIGNED_BASES_READ_1",
        "NORMAL_PERCENT_ALIGNED_BASES_READ_2",
        "NORMAL_PERCENT_ALIGNED_READS",
        "NORMAL_PERCENT_ALIGNED_READ_1",
        "NORMAL_PERCENT_ALIGNED_READ_2",
        "NORMAL_PERCENT_AT_DROPOUT",
        "NORMAL_PERCENT_DUPLICATE_ALIGNED_READS",
        "NORMAL_PERCENT_DUPLICATE_PROPER_READ_PAIRS",
        "NORMAL_PERCENT_GC_DROPOUT",
        "NORMAL_PERCENT_NON_SPATIAL_DUPLICATE_READ_PAIRS",
        "NORMAL_PERCENT_Q25_BASES_READ_1",
        "NORMAL_PERCENT_Q25_BASES_READ_2",
        "NORMAL_PERCENT_Q30_BASES",
        "NORMAL_PERCENT_Q30_BASES_READ_1",
        "NORMAL_PERCENT_Q30_BASES_READ_2",
        "NORMAL_PERCENT_READ_PAIRS_ALIGNED_TO_DIFFERENT_CHROMOSOMES",
        "NORMAL_PERCENT_SOFT_CLIPPED_BASES",
        "NORMAL_Q30_BASES_EXCLUDING_CLIPPED_AND_DUPLICATE_READ_BASES",
        "NORMAL_READ_ENRICHMENT_AT_75_GC",
        "NORMAL_READ_ENRICHMENT_AT_80_GC",
        "NORMAL_SAMPLE_ID",
        "NORMAL_SAMPLE_NAME",
        "NORMAL_TOTAL_ALIGNED_BASES",
        "NORMAL_TOTAL_ALIGNED_BASES_READ_1",
        "NORMAL_TOTAL_ALIGNED_BASES_READ_2",
        "NORMAL_TOTAL_ALIGNED_READS",
        "NORMAL_TOTAL_ALIGNED_READ_1",
        "NORMAL_TOTAL_ALIGNED_READ_2",
        "NORMAL_TOTAL_ALIGNED_READ_PAIRS",
        "NORMAL_TOTAL_DUPLICATE_ALIGNED_READS",
        "NORMAL_TOTAL_DUPLICATE_PROPER_READ_PAIRS",
        "NORMAL_TOTAL_MAPQ_GT_10_READS",
        "NORMAL_TOTAL_PF_BASES",
        "NORMAL_TOTAL_PF_BASES_READ_1",
        "NORMAL_TOTAL_PF_BASES_READ_2",
        "NORMAL_TOTAL_PF_READS",
        "NORMAL_TOTAL_PF_READ_1",
        "NORMAL_TOTAL_PF_READ_2",
        "NORMAL_TOTAL_PROPER_READ_PAIRS",
        "NORMAL_UNIQUE_ALIGNED_READS",
        "OVERALL_PLOIDY",
        "SOMATIC_CNVS",
        "SOMATIC_CNVS_ALL",
        "SOMATIC_CNVS_IN_GENES",
        "SOMATIC_DELETIONS",
        "SOMATIC_DELETIONS_ALL",
        "SOMATIC_DELETIONS_IN_CODING_REGIONS",
        "SOMATIC_DELETIONS_IN_EXONS",
        "SOMATIC_DELETIONS_IN_GENES",
        "SOMATIC_DELETIONS_IN_MATURE_MIRNA",
        "SOMATIC_DELETIONS_IN_SPLICE_SITE_REGIONS",
        "SOMATIC_DELETIONS_IN_UTR_REGIONS",
        "SOMATIC_DELETIONS_PERCENT_FOUND_IN_DBSNP",
        "SOMATIC_INDELS",
        "SOMATIC_INDELS_ALL",
        "SOMATIC_INDELS_PERCENT_FOUND_IN_DBSNP",
        "SOMATIC_INSERTIONS",
        "SOMATIC_INSERTIONS_ALL",
        "SOMATIC_INSERTIONS_IN_CODING_REGIONS",
        "SOMATIC_INSERTIONS_IN_EXONS",
        "SOMATIC_INSERTIONS_IN_GENES",
        "SOMATIC_INSERTIONS_IN_MATURE_MIRNA",
        "SOMATIC_INSERTIONS_IN_SPLICE_SITE_REGIONS",
        "SOMATIC_INSERTIONS_IN_UTR_REGIONS",
        "SOMATIC_INSERTIONS_PERCENT_FOUND_IN_DBSNP",
        "SOMATIC_SNVS",
        "SOMATIC_SNVS_ALL",
        "SOMATIC_SNVS_IN_CODING_REGIONS",
        "SOMATIC_SNVS_IN_EXONS",
        "SOMATIC_SNVS_IN_GENES",
        "SOMATIC_SNVS_IN_MATURE_MIRNA",
        "SOMATIC_SNVS_IN_SPLICE_SITE_REGIONS",
        "SOMATIC_SNVS_IN_UTR_REGIONS",
        "SOMATIC_SNVS_PERCENT_FOUND_IN_DBSNP",
        "SOMATIC_SNV_TS_TV_RATIO",
        "SOMATIC_SV_BREAKENDS",
        "SOMATIC_SV_BREAKENDS_ALL",
        "SOMATIC_SV_BREAKENDS_IN_GENES",
        "SOMATIC_SV_DELETIONS",
        "SOMATIC_SV_DELETIONS_ALL",
        "SOMATIC_SV_DELETIONS_IN_GENES",
        "SOMATIC_SV_INSERTIONS",
        "SOMATIC_SV_INSERTIONS_ALL",
        "SOMATIC_SV_INSERTIONS_IN_GENES",
        "SOMATIC_SV_INVERSIONS",
        "SOMATIC_SV_INVERSIONS_ALL",
        "SOMATIC_SV_INVERSIONS_IN_GENES",
        "SOMATIC_SV_TANDEM_DUPLICATIONS",
        "SOMATIC_SV_TANDEM_DUPLICATIONS_ALL",
        "SOMATIC_SV_TANDEM_DUPLICATIONS_IN_GENES",
        "STOP_GAINED_SOMATIC_DELETIONS",
        "STOP_GAINED_SOMATIC_INSERTIONS",
        "STOP_GAINED_SOMATIC_SNVS",
        "STOP_LOST_SOMATIC_DELETIONS",
        "STOP_LOST_SOMATIC_INSERTIONS",
        "STOP_LOST_SOMATIC_SNVS",
        "SYNONYMOUS_SOMATIC_SNVS",
        "TUMOR_COVERAGE_AT_10X",
        "TUMOR_COVERAGE_AT_15X",
        "TUMOR_COVERAGE_AT_1X",
        "TUMOR_MEAN_COVERAGE",
        "TUMOR_MEDIAN_READ_LENGTH",
        "TUMOR_MEDIAN_READ_LENGTH_READ_1",
        "TUMOR_MEDIAN_READ_LENGTH_READ_2",
        "TUMOR_MISMATCH_RATE",
        "TUMOR_MISMATCH_RATE_READ_1",
        "TUMOR_MISMATCH_RATE_READ_2",
        "TUMOR_PERCENT_ALIGNED_BASES",
        "TUMOR_PERCENT_ALIGNED_BASES_READ_1",
        "TUMOR_PERCENT_ALIGNED_BASES_READ_2",
        "TUMOR_PERCENT_ALIGNED_READS",
        "TUMOR_PERCENT_ALIGNED_READ_1",
        "TUMOR_PERCENT_ALIGNED_READ_2",
        "TUMOR_PERCENT_AT_DROPOUT",
        "TUMOR_PERCENT_DUPLICATE_ALIGNED_READS",
        "TUMOR_PERCENT_DUPLICATE_PROPER_READ_PAIRS",
        "TUMOR_PERCENT_GC_DROPOUT",
        "TUMOR_PERCENT_NON_SPATIAL_DUPLICATE_READ_PAIRS",
        "TUMOR_PERCENT_Q25_BASES_READ_1",
        "TUMOR_PERCENT_Q25_BASES_READ_2",
        "TUMOR_PERCENT_Q30_BASES",
        "TUMOR_PERCENT_Q30_BASES_READ_1",
        "TUMOR_PERCENT_Q30_BASES_READ_2",
        "TUMOR_PERCENT_READ_PAIRS_ALIGNED_TO_DIFFERENT_CHROMOSOMES",
        "TUMOR_PERCENT_SOFT_CLIPPED_BASES",
        "TUMOR_Q30_BASES_EXCLUDING_CLIPPED_AND_DUPLICATE_READ_BASES",
        "TUMOR_READ_ENRICHMENT_AT_75_GC",
        "TUMOR_READ_ENRICHMENT_AT_80_GC",
        "TUMOR_SAMPLE_ID",
        "TUMOR_SAMPLE_NAME",
        "TUMOR_TOTAL_ALIGNED_BASES",
        "TUMOR_TOTAL_ALIGNED_BASES_READ_1",
        "TUMOR_TOTAL_ALIGNED_BASES_READ_2",
        "TUMOR_TOTAL_ALIGNED_READS",
        "TUMOR_TOTAL_ALIGNED_READ_1",
        "TUMOR_TOTAL_ALIGNED_READ_2",
        "TUMOR_TOTAL_ALIGNED_READ_PAIRS",
        "TUMOR_TOTAL_DUPLICATE_ALIGNED_READS",
        "TUMOR_TOTAL_DUPLICATE_PROPER_READ_PAIRS",
        "TUMOR_TOTAL_MAPQ_GT_10_READS",
        "TUMOR_TOTAL_PF_BASES",
        "TUMOR_TOTAL_PF_BASES_READ_1",
        "TUMOR_TOTAL_PF_BASES_READ_2",
        "TUMOR_TOTAL_PF_READS",
        "TUMOR_TOTAL_PF_READ_1",
        "TUMOR_TOTAL_PF_READ_2",
        "TUMOR_TOTAL_PROPER_READ_PAIRS",
        "TUMOR_UNIQUE_ALIGNED_READS",
        "illumina_version",
        "PERCENT_SOMATIC_CNVS_IN_GENES",
        "SOMATIC_SV_PERCENT_BREAKENDS_IN_GENES",
        "SOMATIC_SV_PERCENT_DELETIONS_IN_GENES",
        "SOMATIC_SV_PERCENT_INSERTIONS_IN_GENES",
        "SOMATIC_SV_PERCENT_INVERSIONS_IN_GENES",
        "SOMATIC_SV_PERCENT_TANDEM_DUPLICATIONS_IN_GENES",
    ]

    def __init__(
        self,
        ESTIMATED_CHROMOSOME_COUNT,
        ESTIMATED_PURITY,
        FRAMESHIFT_SOMATIC_DELETIONS,
        FRAMESHIFT_SOMATIC_INSERTIONS,
        MEAN_SOMATIC_SNV_FREQUENCY,
        MEDIAN_SOMATIC_SNV_DISTANCE,
        NON_SYNONYMOUS_SOMATIC_DELETIONS,
        NON_SYNONYMOUS_SOMATIC_INSERTIONS,
        NON_SYNONYMOUS_SOMATIC_SNVS,
        NORMAL_COVERAGE_AT_10X,
        NORMAL_COVERAGE_AT_15X,
        NORMAL_COVERAGE_AT_1X,
        NORMAL_MEAN_COVERAGE,
        NORMAL_MEDIAN_READ_LENGTH,
        NORMAL_MEDIAN_READ_LENGTH_READ_1,
        NORMAL_MEDIAN_READ_LENGTH_READ_2,
        NORMAL_MISMATCH_RATE,
        NORMAL_MISMATCH_RATE_READ_1,
        NORMAL_MISMATCH_RATE_READ_2,
        NORMAL_PERCENT_ALIGNED_BASES,
        NORMAL_PERCENT_ALIGNED_BASES_READ_1,
        NORMAL_PERCENT_ALIGNED_BASES_READ_2,
        NORMAL_PERCENT_ALIGNED_READS,
        NORMAL_PERCENT_ALIGNED_READ_1,
        NORMAL_PERCENT_ALIGNED_READ_2,
        NORMAL_PERCENT_AT_DROPOUT,
        NORMAL_PERCENT_DUPLICATE_ALIGNED_READS,
        NORMAL_PERCENT_DUPLICATE_PROPER_READ_PAIRS,
        NORMAL_PERCENT_GC_DROPOUT,
        NORMAL_PERCENT_NON_SPATIAL_DUPLICATE_READ_PAIRS,
        NORMAL_PERCENT_Q25_BASES_READ_1,
        NORMAL_PERCENT_Q25_BASES_READ_2,
        NORMAL_PERCENT_Q30_BASES,
        NORMAL_PERCENT_Q30_BASES_READ_1,
        NORMAL_PERCENT_Q30_BASES_READ_2,
        NORMAL_PERCENT_READ_PAIRS_ALIGNED_TO_DIFFERENT_CHROMOSOMES,
        NORMAL_PERCENT_SOFT_CLIPPED_BASES,
        NORMAL_Q30_BASES_EXCLUDING_CLIPPED_AND_DUPLICATE_READ_BASES,
        NORMAL_READ_ENRICHMENT_AT_75_GC,
        NORMAL_READ_ENRICHMENT_AT_80_GC,
        NORMAL_SAMPLE_ID,
        NORMAL_SAMPLE_NAME,
        NORMAL_TOTAL_ALIGNED_BASES,
        NORMAL_TOTAL_ALIGNED_BASES_READ_1,
        NORMAL_TOTAL_ALIGNED_BASES_READ_2,
        NORMAL_TOTAL_ALIGNED_READS,
        NORMAL_TOTAL_ALIGNED_READ_1,
        NORMAL_TOTAL_ALIGNED_READ_2,
        NORMAL_TOTAL_ALIGNED_READ_PAIRS,
        NORMAL_TOTAL_DUPLICATE_ALIGNED_READS,
        NORMAL_TOTAL_DUPLICATE_PROPER_READ_PAIRS,
        NORMAL_TOTAL_MAPQ_GT_10_READS,
        NORMAL_TOTAL_PF_BASES,
        NORMAL_TOTAL_PF_BASES_READ_1,
        NORMAL_TOTAL_PF_BASES_READ_2,
        NORMAL_TOTAL_PF_READS,
        NORMAL_TOTAL_PF_READ_1,
        NORMAL_TOTAL_PF_READ_2,
        NORMAL_TOTAL_PROPER_READ_PAIRS,
        NORMAL_UNIQUE_ALIGNED_READS,
        OVERALL_PLOIDY,
        SOMATIC_CNVS,
        SOMATIC_CNVS_ALL,
        SOMATIC_CNVS_IN_GENES,
        SOMATIC_DELETIONS,
        SOMATIC_DELETIONS_ALL,
        SOMATIC_DELETIONS_IN_CODING_REGIONS,
        SOMATIC_DELETIONS_IN_EXONS,
        SOMATIC_DELETIONS_IN_GENES,
        SOMATIC_DELETIONS_IN_MATURE_MIRNA,
        SOMATIC_DELETIONS_IN_SPLICE_SITE_REGIONS,
        SOMATIC_DELETIONS_IN_UTR_REGIONS,
        SOMATIC_DELETIONS_PERCENT_FOUND_IN_DBSNP,
        SOMATIC_INDELS,
        SOMATIC_INDELS_ALL,
        SOMATIC_INDELS_PERCENT_FOUND_IN_DBSNP,
        SOMATIC_INSERTIONS,
        SOMATIC_INSERTIONS_ALL,
        SOMATIC_INSERTIONS_IN_CODING_REGIONS,
        SOMATIC_INSERTIONS_IN_EXONS,
        SOMATIC_INSERTIONS_IN_GENES,
        SOMATIC_INSERTIONS_IN_MATURE_MIRNA,
        SOMATIC_INSERTIONS_IN_SPLICE_SITE_REGIONS,
        SOMATIC_INSERTIONS_IN_UTR_REGIONS,
        SOMATIC_INSERTIONS_PERCENT_FOUND_IN_DBSNP,
        SOMATIC_SNVS,
        SOMATIC_SNVS_ALL,
        SOMATIC_SNVS_IN_CODING_REGIONS,
        SOMATIC_SNVS_IN_EXONS,
        SOMATIC_SNVS_IN_GENES,
        SOMATIC_SNVS_IN_MATURE_MIRNA,
        SOMATIC_SNVS_IN_SPLICE_SITE_REGIONS,
        SOMATIC_SNVS_IN_UTR_REGIONS,
        SOMATIC_SNVS_PERCENT_FOUND_IN_DBSNP,
        SOMATIC_SNV_TS_TV_RATIO,
        SOMATIC_SV_BREAKENDS,
        SOMATIC_SV_BREAKENDS_ALL,
        SOMATIC_SV_BREAKENDS_IN_GENES,
        SOMATIC_SV_DELETIONS,
        SOMATIC_SV_DELETIONS_ALL,
        SOMATIC_SV_DELETIONS_IN_GENES,
        SOMATIC_SV_INSERTIONS,
        SOMATIC_SV_INSERTIONS_ALL,
        SOMATIC_SV_INSERTIONS_IN_GENES,
        SOMATIC_SV_INVERSIONS,
        SOMATIC_SV_INVERSIONS_ALL,
        SOMATIC_SV_INVERSIONS_IN_GENES,
        SOMATIC_SV_TANDEM_DUPLICATIONS,
        SOMATIC_SV_TANDEM_DUPLICATIONS_ALL,
        SOMATIC_SV_TANDEM_DUPLICATIONS_IN_GENES,
        STOP_GAINED_SOMATIC_DELETIONS,
        STOP_GAINED_SOMATIC_INSERTIONS,
        STOP_GAINED_SOMATIC_SNVS,
        STOP_LOST_SOMATIC_DELETIONS,
        STOP_LOST_SOMATIC_INSERTIONS,
        STOP_LOST_SOMATIC_SNVS,
        SYNONYMOUS_SOMATIC_SNVS,
        TUMOR_COVERAGE_AT_10X,
        TUMOR_COVERAGE_AT_15X,
        TUMOR_COVERAGE_AT_1X,
        TUMOR_MEAN_COVERAGE,
        TUMOR_MEDIAN_READ_LENGTH,
        TUMOR_MEDIAN_READ_LENGTH_READ_1,
        TUMOR_MEDIAN_READ_LENGTH_READ_2,
        TUMOR_MISMATCH_RATE,
        TUMOR_MISMATCH_RATE_READ_1,
        TUMOR_MISMATCH_RATE_READ_2,
        TUMOR_PERCENT_ALIGNED_BASES,
        TUMOR_PERCENT_ALIGNED_BASES_READ_1,
        TUMOR_PERCENT_ALIGNED_BASES_READ_2,
        TUMOR_PERCENT_ALIGNED_READS,
        TUMOR_PERCENT_ALIGNED_READ_1,
        TUMOR_PERCENT_ALIGNED_READ_2,
        TUMOR_PERCENT_AT_DROPOUT,
        TUMOR_PERCENT_DUPLICATE_ALIGNED_READS,
        TUMOR_PERCENT_DUPLICATE_PROPER_READ_PAIRS,
        TUMOR_PERCENT_GC_DROPOUT,
        TUMOR_PERCENT_NON_SPATIAL_DUPLICATE_READ_PAIRS,
        TUMOR_PERCENT_Q25_BASES_READ_1,
        TUMOR_PERCENT_Q25_BASES_READ_2,
        TUMOR_PERCENT_Q30_BASES,
        TUMOR_PERCENT_Q30_BASES_READ_1,
        TUMOR_PERCENT_Q30_BASES_READ_2,
        TUMOR_PERCENT_READ_PAIRS_ALIGNED_TO_DIFFERENT_CHROMOSOMES,
        TUMOR_PERCENT_SOFT_CLIPPED_BASES,
        TUMOR_Q30_BASES_EXCLUDING_CLIPPED_AND_DUPLICATE_READ_BASES,
        TUMOR_READ_ENRICHMENT_AT_75_GC,
        TUMOR_READ_ENRICHMENT_AT_80_GC,
        TUMOR_SAMPLE_ID,
        TUMOR_SAMPLE_NAME,
        TUMOR_TOTAL_ALIGNED_BASES,
        TUMOR_TOTAL_ALIGNED_BASES_READ_1,
        TUMOR_TOTAL_ALIGNED_BASES_READ_2,
        TUMOR_TOTAL_ALIGNED_READS,
        TUMOR_TOTAL_ALIGNED_READ_1,
        TUMOR_TOTAL_ALIGNED_READ_2,
        TUMOR_TOTAL_ALIGNED_READ_PAIRS,
        TUMOR_TOTAL_DUPLICATE_ALIGNED_READS,
        TUMOR_TOTAL_DUPLICATE_PROPER_READ_PAIRS,
        TUMOR_TOTAL_MAPQ_GT_10_READS,
        TUMOR_TOTAL_PF_BASES,
        TUMOR_TOTAL_PF_BASES_READ_1,
        TUMOR_TOTAL_PF_BASES_READ_2,
        TUMOR_TOTAL_PF_READS,
        TUMOR_TOTAL_PF_READ_1,
        TUMOR_TOTAL_PF_READ_2,
        TUMOR_TOTAL_PROPER_READ_PAIRS,
        TUMOR_UNIQUE_ALIGNED_READS,
        illumina_version,
        PERCENT_SOMATIC_CNVS_IN_GENES=None,
        SOMATIC_SV_PERCENT_BREAKENDS_IN_GENES=None,
        SOMATIC_SV_PERCENT_DELETIONS_IN_GENES=None,
        SOMATIC_SV_PERCENT_INSERTIONS_IN_GENES=None,
        SOMATIC_SV_PERCENT_INVERSIONS_IN_GENES=None,
        SOMATIC_SV_PERCENT_TANDEM_DUPLICATIONS_IN_GENES=None,
        validate=None,
        **kwargs
    ):
        """Initialise the metrics_1_1_0.IlluminaSummaryCancerV4 model.

        :param ESTIMATED_CHROMOSOME_COUNT:
        :type ESTIMATED_CHROMOSOME_COUNT: double
        :param ESTIMATED_PURITY:
        :type ESTIMATED_PURITY: int
        :param FRAMESHIFT_SOMATIC_DELETIONS:
        :type FRAMESHIFT_SOMATIC_DELETIONS: int
        :param FRAMESHIFT_SOMATIC_INSERTIONS:
        :type FRAMESHIFT_SOMATIC_INSERTIONS: int
        :param MEAN_SOMATIC_SNV_FREQUENCY:
        :type MEAN_SOMATIC_SNV_FREQUENCY: double
        :param MEDIAN_SOMATIC_SNV_DISTANCE:
        :type MEDIAN_SOMATIC_SNV_DISTANCE: double
        :param NON_SYNONYMOUS_SOMATIC_DELETIONS:
        :type NON_SYNONYMOUS_SOMATIC_DELETIONS: int
        :param NON_SYNONYMOUS_SOMATIC_INSERTIONS:
        :type NON_SYNONYMOUS_SOMATIC_INSERTIONS: int
        :param NON_SYNONYMOUS_SOMATIC_SNVS:
        :type NON_SYNONYMOUS_SOMATIC_SNVS: int
        :param NORMAL_COVERAGE_AT_10X:
        :type NORMAL_COVERAGE_AT_10X: double
        :param NORMAL_COVERAGE_AT_15X:
        :type NORMAL_COVERAGE_AT_15X: double
        :param NORMAL_COVERAGE_AT_1X:
        :type NORMAL_COVERAGE_AT_1X: double
        :param NORMAL_MEAN_COVERAGE:
        :type NORMAL_MEAN_COVERAGE: double
        :param NORMAL_MEDIAN_READ_LENGTH:
        :type NORMAL_MEDIAN_READ_LENGTH: str
        :param NORMAL_MEDIAN_READ_LENGTH_READ_1:
        :type NORMAL_MEDIAN_READ_LENGTH_READ_1: str
        :param NORMAL_MEDIAN_READ_LENGTH_READ_2:
        :type NORMAL_MEDIAN_READ_LENGTH_READ_2: str
        :param NORMAL_MISMATCH_RATE:
        :type NORMAL_MISMATCH_RATE: double
        :param NORMAL_MISMATCH_RATE_READ_1:
        :type NORMAL_MISMATCH_RATE_READ_1: double
        :param NORMAL_MISMATCH_RATE_READ_2:
        :type NORMAL_MISMATCH_RATE_READ_2: double
        :param NORMAL_PERCENT_ALIGNED_BASES:
        :type NORMAL_PERCENT_ALIGNED_BASES: double
        :param NORMAL_PERCENT_ALIGNED_BASES_READ_1:
        :type NORMAL_PERCENT_ALIGNED_BASES_READ_1: double
        :param NORMAL_PERCENT_ALIGNED_BASES_READ_2:
        :type NORMAL_PERCENT_ALIGNED_BASES_READ_2: double
        :param NORMAL_PERCENT_ALIGNED_READS:
        :type NORMAL_PERCENT_ALIGNED_READS: double
        :param NORMAL_PERCENT_ALIGNED_READ_1:
        :type NORMAL_PERCENT_ALIGNED_READ_1: double
        :param NORMAL_PERCENT_ALIGNED_READ_2:
        :type NORMAL_PERCENT_ALIGNED_READ_2: double
        :param NORMAL_PERCENT_AT_DROPOUT:
        :type NORMAL_PERCENT_AT_DROPOUT: double
        :param NORMAL_PERCENT_DUPLICATE_ALIGNED_READS:
        :type NORMAL_PERCENT_DUPLICATE_ALIGNED_READS: double
        :param NORMAL_PERCENT_DUPLICATE_PROPER_READ_PAIRS:
        :type NORMAL_PERCENT_DUPLICATE_PROPER_READ_PAIRS: double
        :param NORMAL_PERCENT_GC_DROPOUT:
        :type NORMAL_PERCENT_GC_DROPOUT: double
        :param NORMAL_PERCENT_NON_SPATIAL_DUPLICATE_READ_PAIRS:
        :type NORMAL_PERCENT_NON_SPATIAL_DUPLICATE_READ_PAIRS: double
        :param NORMAL_PERCENT_Q25_BASES_READ_1:
        :type NORMAL_PERCENT_Q25_BASES_READ_1: double
        :param NORMAL_PERCENT_Q25_BASES_READ_2:
        :type NORMAL_PERCENT_Q25_BASES_READ_2: double
        :param NORMAL_PERCENT_Q30_BASES:
        :type NORMAL_PERCENT_Q30_BASES: double
        :param NORMAL_PERCENT_Q30_BASES_READ_1:
        :type NORMAL_PERCENT_Q30_BASES_READ_1: double
        :param NORMAL_PERCENT_Q30_BASES_READ_2:
        :type NORMAL_PERCENT_Q30_BASES_READ_2: double
        :param NORMAL_PERCENT_READ_PAIRS_ALIGNED_TO_DIFFERENT_CHROMOSOMES:
        :type NORMAL_PERCENT_READ_PAIRS_ALIGNED_TO_DIFFERENT_CHROMOSOMES: double
        :param NORMAL_PERCENT_SOFT_CLIPPED_BASES:
        :type NORMAL_PERCENT_SOFT_CLIPPED_BASES: double
        :param NORMAL_Q30_BASES_EXCLUDING_CLIPPED_AND_DUPLICATE_READ_BASES:
        :type NORMAL_Q30_BASES_EXCLUDING_CLIPPED_AND_DUPLICATE_READ_BASES: int
        :param NORMAL_READ_ENRICHMENT_AT_75_GC:
        :type NORMAL_READ_ENRICHMENT_AT_75_GC: double
        :param NORMAL_READ_ENRICHMENT_AT_80_GC:
        :type NORMAL_READ_ENRICHMENT_AT_80_GC: double
        :param NORMAL_SAMPLE_ID:
        :type NORMAL_SAMPLE_ID: str
        :param NORMAL_SAMPLE_NAME:
        :type NORMAL_SAMPLE_NAME: str
        :param NORMAL_TOTAL_ALIGNED_BASES:
        :type NORMAL_TOTAL_ALIGNED_BASES: int
        :param NORMAL_TOTAL_ALIGNED_BASES_READ_1:
        :type NORMAL_TOTAL_ALIGNED_BASES_READ_1: int
        :param NORMAL_TOTAL_ALIGNED_BASES_READ_2:
        :type NORMAL_TOTAL_ALIGNED_BASES_READ_2: int
        :param NORMAL_TOTAL_ALIGNED_READS:
        :type NORMAL_TOTAL_ALIGNED_READS: int
        :param NORMAL_TOTAL_ALIGNED_READ_1:
        :type NORMAL_TOTAL_ALIGNED_READ_1: int
        :param NORMAL_TOTAL_ALIGNED_READ_2:
        :type NORMAL_TOTAL_ALIGNED_READ_2: int
        :param NORMAL_TOTAL_ALIGNED_READ_PAIRS:
        :type NORMAL_TOTAL_ALIGNED_READ_PAIRS: int
        :param NORMAL_TOTAL_DUPLICATE_ALIGNED_READS:
        :type NORMAL_TOTAL_DUPLICATE_ALIGNED_READS: int
        :param NORMAL_TOTAL_DUPLICATE_PROPER_READ_PAIRS:
        :type NORMAL_TOTAL_DUPLICATE_PROPER_READ_PAIRS: int
        :param NORMAL_TOTAL_MAPQ_GT_10_READS:
        :type NORMAL_TOTAL_MAPQ_GT_10_READS: int
        :param NORMAL_TOTAL_PF_BASES:
        :type NORMAL_TOTAL_PF_BASES: int
        :param NORMAL_TOTAL_PF_BASES_READ_1:
        :type NORMAL_TOTAL_PF_BASES_READ_1: int
        :param NORMAL_TOTAL_PF_BASES_READ_2:
        :type NORMAL_TOTAL_PF_BASES_READ_2: int
        :param NORMAL_TOTAL_PF_READS:
        :type NORMAL_TOTAL_PF_READS: int
        :param NORMAL_TOTAL_PF_READ_1:
        :type NORMAL_TOTAL_PF_READ_1: int
        :param NORMAL_TOTAL_PF_READ_2:
        :type NORMAL_TOTAL_PF_READ_2: int
        :param NORMAL_TOTAL_PROPER_READ_PAIRS:
        :type NORMAL_TOTAL_PROPER_READ_PAIRS: int
        :param NORMAL_UNIQUE_ALIGNED_READS:
        :type NORMAL_UNIQUE_ALIGNED_READS: int
        :param OVERALL_PLOIDY:
        :type OVERALL_PLOIDY: double
        :param SOMATIC_CNVS:
        :type SOMATIC_CNVS: int
        :param SOMATIC_CNVS_ALL:
        :type SOMATIC_CNVS_ALL: int
        :param SOMATIC_CNVS_IN_GENES:
        :type SOMATIC_CNVS_IN_GENES: int
        :param SOMATIC_DELETIONS:
        :type SOMATIC_DELETIONS: int
        :param SOMATIC_DELETIONS_ALL:
        :type SOMATIC_DELETIONS_ALL: int
        :param SOMATIC_DELETIONS_IN_CODING_REGIONS:
        :type SOMATIC_DELETIONS_IN_CODING_REGIONS: int
        :param SOMATIC_DELETIONS_IN_EXONS:
        :type SOMATIC_DELETIONS_IN_EXONS: int
        :param SOMATIC_DELETIONS_IN_GENES:
        :type SOMATIC_DELETIONS_IN_GENES: int
        :param SOMATIC_DELETIONS_IN_MATURE_MIRNA:
        :type SOMATIC_DELETIONS_IN_MATURE_MIRNA: int
        :param SOMATIC_DELETIONS_IN_SPLICE_SITE_REGIONS:
        :type SOMATIC_DELETIONS_IN_SPLICE_SITE_REGIONS: int
        :param SOMATIC_DELETIONS_IN_UTR_REGIONS:
        :type SOMATIC_DELETIONS_IN_UTR_REGIONS: int
        :param SOMATIC_DELETIONS_PERCENT_FOUND_IN_DBSNP:
        :type SOMATIC_DELETIONS_PERCENT_FOUND_IN_DBSNP: double
        :param SOMATIC_INDELS:
        :type SOMATIC_INDELS: int
        :param SOMATIC_INDELS_ALL:
        :type SOMATIC_INDELS_ALL: int
        :param SOMATIC_INDELS_PERCENT_FOUND_IN_DBSNP:
        :type SOMATIC_INDELS_PERCENT_FOUND_IN_DBSNP: double
        :param SOMATIC_INSERTIONS:
        :type SOMATIC_INSERTIONS: int
        :param SOMATIC_INSERTIONS_ALL:
        :type SOMATIC_INSERTIONS_ALL: int
        :param SOMATIC_INSERTIONS_IN_CODING_REGIONS:
        :type SOMATIC_INSERTIONS_IN_CODING_REGIONS: int
        :param SOMATIC_INSERTIONS_IN_EXONS:
        :type SOMATIC_INSERTIONS_IN_EXONS: int
        :param SOMATIC_INSERTIONS_IN_GENES:
        :type SOMATIC_INSERTIONS_IN_GENES: int
        :param SOMATIC_INSERTIONS_IN_MATURE_MIRNA:
        :type SOMATIC_INSERTIONS_IN_MATURE_MIRNA: int
        :param SOMATIC_INSERTIONS_IN_SPLICE_SITE_REGIONS:
        :type SOMATIC_INSERTIONS_IN_SPLICE_SITE_REGIONS: int
        :param SOMATIC_INSERTIONS_IN_UTR_REGIONS:
        :type SOMATIC_INSERTIONS_IN_UTR_REGIONS: int
        :param SOMATIC_INSERTIONS_PERCENT_FOUND_IN_DBSNP:
        :type SOMATIC_INSERTIONS_PERCENT_FOUND_IN_DBSNP: double
        :param SOMATIC_SNVS:
        :type SOMATIC_SNVS: int
        :param SOMATIC_SNVS_ALL:
        :type SOMATIC_SNVS_ALL: int
        :param SOMATIC_SNVS_IN_CODING_REGIONS:
        :type SOMATIC_SNVS_IN_CODING_REGIONS: int
        :param SOMATIC_SNVS_IN_EXONS:
        :type SOMATIC_SNVS_IN_EXONS: int
        :param SOMATIC_SNVS_IN_GENES:
        :type SOMATIC_SNVS_IN_GENES: int
        :param SOMATIC_SNVS_IN_MATURE_MIRNA:
        :type SOMATIC_SNVS_IN_MATURE_MIRNA: int
        :param SOMATIC_SNVS_IN_SPLICE_SITE_REGIONS:
        :type SOMATIC_SNVS_IN_SPLICE_SITE_REGIONS: int
        :param SOMATIC_SNVS_IN_UTR_REGIONS:
        :type SOMATIC_SNVS_IN_UTR_REGIONS: int
        :param SOMATIC_SNVS_PERCENT_FOUND_IN_DBSNP:
        :type SOMATIC_SNVS_PERCENT_FOUND_IN_DBSNP: double
        :param SOMATIC_SNV_TS_TV_RATIO:
        :type SOMATIC_SNV_TS_TV_RATIO: double
        :param SOMATIC_SV_BREAKENDS:
        :type SOMATIC_SV_BREAKENDS: int
        :param SOMATIC_SV_BREAKENDS_ALL:
        :type SOMATIC_SV_BREAKENDS_ALL: int
        :param SOMATIC_SV_BREAKENDS_IN_GENES:
        :type SOMATIC_SV_BREAKENDS_IN_GENES: int
        :param SOMATIC_SV_DELETIONS:
        :type SOMATIC_SV_DELETIONS: int
        :param SOMATIC_SV_DELETIONS_ALL:
        :type SOMATIC_SV_DELETIONS_ALL: int
        :param SOMATIC_SV_DELETIONS_IN_GENES:
        :type SOMATIC_SV_DELETIONS_IN_GENES: int
        :param SOMATIC_SV_INSERTIONS:
        :type SOMATIC_SV_INSERTIONS: int
        :param SOMATIC_SV_INSERTIONS_ALL:
        :type SOMATIC_SV_INSERTIONS_ALL: int
        :param SOMATIC_SV_INSERTIONS_IN_GENES:
        :type SOMATIC_SV_INSERTIONS_IN_GENES: int
        :param SOMATIC_SV_INVERSIONS:
        :type SOMATIC_SV_INVERSIONS: int
        :param SOMATIC_SV_INVERSIONS_ALL:
        :type SOMATIC_SV_INVERSIONS_ALL: int
        :param SOMATIC_SV_INVERSIONS_IN_GENES:
        :type SOMATIC_SV_INVERSIONS_IN_GENES: int
        :param SOMATIC_SV_TANDEM_DUPLICATIONS:
        :type SOMATIC_SV_TANDEM_DUPLICATIONS: int
        :param SOMATIC_SV_TANDEM_DUPLICATIONS_ALL:
        :type SOMATIC_SV_TANDEM_DUPLICATIONS_ALL: int
        :param SOMATIC_SV_TANDEM_DUPLICATIONS_IN_GENES:
        :type SOMATIC_SV_TANDEM_DUPLICATIONS_IN_GENES: int
        :param STOP_GAINED_SOMATIC_DELETIONS:
        :type STOP_GAINED_SOMATIC_DELETIONS: int
        :param STOP_GAINED_SOMATIC_INSERTIONS:
        :type STOP_GAINED_SOMATIC_INSERTIONS: int
        :param STOP_GAINED_SOMATIC_SNVS:
        :type STOP_GAINED_SOMATIC_SNVS: int
        :param STOP_LOST_SOMATIC_DELETIONS:
        :type STOP_LOST_SOMATIC_DELETIONS: int
        :param STOP_LOST_SOMATIC_INSERTIONS:
        :type STOP_LOST_SOMATIC_INSERTIONS: int
        :param STOP_LOST_SOMATIC_SNVS:
        :type STOP_LOST_SOMATIC_SNVS: int
        :param SYNONYMOUS_SOMATIC_SNVS:
        :type SYNONYMOUS_SOMATIC_SNVS: int
        :param TUMOR_COVERAGE_AT_10X:
        :type TUMOR_COVERAGE_AT_10X: double
        :param TUMOR_COVERAGE_AT_15X:
        :type TUMOR_COVERAGE_AT_15X: double
        :param TUMOR_COVERAGE_AT_1X:
        :type TUMOR_COVERAGE_AT_1X: double
        :param TUMOR_MEAN_COVERAGE:
        :type TUMOR_MEAN_COVERAGE: double
        :param TUMOR_MEDIAN_READ_LENGTH:
        :type TUMOR_MEDIAN_READ_LENGTH: str
        :param TUMOR_MEDIAN_READ_LENGTH_READ_1:
        :type TUMOR_MEDIAN_READ_LENGTH_READ_1: str
        :param TUMOR_MEDIAN_READ_LENGTH_READ_2:
        :type TUMOR_MEDIAN_READ_LENGTH_READ_2: str
        :param TUMOR_MISMATCH_RATE:
        :type TUMOR_MISMATCH_RATE: double
        :param TUMOR_MISMATCH_RATE_READ_1:
        :type TUMOR_MISMATCH_RATE_READ_1: double
        :param TUMOR_MISMATCH_RATE_READ_2:
        :type TUMOR_MISMATCH_RATE_READ_2: double
        :param TUMOR_PERCENT_ALIGNED_BASES:
        :type TUMOR_PERCENT_ALIGNED_BASES: double
        :param TUMOR_PERCENT_ALIGNED_BASES_READ_1:
        :type TUMOR_PERCENT_ALIGNED_BASES_READ_1: double
        :param TUMOR_PERCENT_ALIGNED_BASES_READ_2:
        :type TUMOR_PERCENT_ALIGNED_BASES_READ_2: double
        :param TUMOR_PERCENT_ALIGNED_READS:
        :type TUMOR_PERCENT_ALIGNED_READS: double
        :param TUMOR_PERCENT_ALIGNED_READ_1:
        :type TUMOR_PERCENT_ALIGNED_READ_1: double
        :param TUMOR_PERCENT_ALIGNED_READ_2:
        :type TUMOR_PERCENT_ALIGNED_READ_2: double
        :param TUMOR_PERCENT_AT_DROPOUT:
        :type TUMOR_PERCENT_AT_DROPOUT: double
        :param TUMOR_PERCENT_DUPLICATE_ALIGNED_READS:
        :type TUMOR_PERCENT_DUPLICATE_ALIGNED_READS: double
        :param TUMOR_PERCENT_DUPLICATE_PROPER_READ_PAIRS:
        :type TUMOR_PERCENT_DUPLICATE_PROPER_READ_PAIRS: double
        :param TUMOR_PERCENT_GC_DROPOUT:
        :type TUMOR_PERCENT_GC_DROPOUT: double
        :param TUMOR_PERCENT_NON_SPATIAL_DUPLICATE_READ_PAIRS:
        :type TUMOR_PERCENT_NON_SPATIAL_DUPLICATE_READ_PAIRS: double
        :param TUMOR_PERCENT_Q25_BASES_READ_1:
        :type TUMOR_PERCENT_Q25_BASES_READ_1: double
        :param TUMOR_PERCENT_Q25_BASES_READ_2:
        :type TUMOR_PERCENT_Q25_BASES_READ_2: double
        :param TUMOR_PERCENT_Q30_BASES:
        :type TUMOR_PERCENT_Q30_BASES: double
        :param TUMOR_PERCENT_Q30_BASES_READ_1:
        :type TUMOR_PERCENT_Q30_BASES_READ_1: double
        :param TUMOR_PERCENT_Q30_BASES_READ_2:
        :type TUMOR_PERCENT_Q30_BASES_READ_2: double
        :param TUMOR_PERCENT_READ_PAIRS_ALIGNED_TO_DIFFERENT_CHROMOSOMES:
        :type TUMOR_PERCENT_READ_PAIRS_ALIGNED_TO_DIFFERENT_CHROMOSOMES: double
        :param TUMOR_PERCENT_SOFT_CLIPPED_BASES:
        :type TUMOR_PERCENT_SOFT_CLIPPED_BASES: double
        :param TUMOR_Q30_BASES_EXCLUDING_CLIPPED_AND_DUPLICATE_READ_BASES:
        :type TUMOR_Q30_BASES_EXCLUDING_CLIPPED_AND_DUPLICATE_READ_BASES: int
        :param TUMOR_READ_ENRICHMENT_AT_75_GC:
        :type TUMOR_READ_ENRICHMENT_AT_75_GC: double
        :param TUMOR_READ_ENRICHMENT_AT_80_GC:
        :type TUMOR_READ_ENRICHMENT_AT_80_GC: double
        :param TUMOR_SAMPLE_ID:
        :type TUMOR_SAMPLE_ID: str
        :param TUMOR_SAMPLE_NAME:
        :type TUMOR_SAMPLE_NAME: str
        :param TUMOR_TOTAL_ALIGNED_BASES:
        :type TUMOR_TOTAL_ALIGNED_BASES: int
        :param TUMOR_TOTAL_ALIGNED_BASES_READ_1:
        :type TUMOR_TOTAL_ALIGNED_BASES_READ_1: int
        :param TUMOR_TOTAL_ALIGNED_BASES_READ_2:
        :type TUMOR_TOTAL_ALIGNED_BASES_READ_2: int
        :param TUMOR_TOTAL_ALIGNED_READS:
        :type TUMOR_TOTAL_ALIGNED_READS: int
        :param TUMOR_TOTAL_ALIGNED_READ_1:
        :type TUMOR_TOTAL_ALIGNED_READ_1: int
        :param TUMOR_TOTAL_ALIGNED_READ_2:
        :type TUMOR_TOTAL_ALIGNED_READ_2: int
        :param TUMOR_TOTAL_ALIGNED_READ_PAIRS:
        :type TUMOR_TOTAL_ALIGNED_READ_PAIRS: int
        :param TUMOR_TOTAL_DUPLICATE_ALIGNED_READS:
        :type TUMOR_TOTAL_DUPLICATE_ALIGNED_READS: int
        :param TUMOR_TOTAL_DUPLICATE_PROPER_READ_PAIRS:
        :type TUMOR_TOTAL_DUPLICATE_PROPER_READ_PAIRS: int
        :param TUMOR_TOTAL_MAPQ_GT_10_READS:
        :type TUMOR_TOTAL_MAPQ_GT_10_READS: int
        :param TUMOR_TOTAL_PF_BASES:
        :type TUMOR_TOTAL_PF_BASES: int
        :param TUMOR_TOTAL_PF_BASES_READ_1:
        :type TUMOR_TOTAL_PF_BASES_READ_1: int
        :param TUMOR_TOTAL_PF_BASES_READ_2:
        :type TUMOR_TOTAL_PF_BASES_READ_2: int
        :param TUMOR_TOTAL_PF_READS:
        :type TUMOR_TOTAL_PF_READS: int
        :param TUMOR_TOTAL_PF_READ_1:
        :type TUMOR_TOTAL_PF_READ_1: int
        :param TUMOR_TOTAL_PF_READ_2:
        :type TUMOR_TOTAL_PF_READ_2: int
        :param TUMOR_TOTAL_PROPER_READ_PAIRS:
        :type TUMOR_TOTAL_PROPER_READ_PAIRS: int
        :param TUMOR_UNIQUE_ALIGNED_READS:
        :type TUMOR_UNIQUE_ALIGNED_READS: int
        :param illumina_version:
        :type illumina_version: IlluminaVersion
        :param PERCENT_SOMATIC_CNVS_IN_GENES:
        :type PERCENT_SOMATIC_CNVS_IN_GENES: None | double
        :param SOMATIC_SV_PERCENT_BREAKENDS_IN_GENES:
        :type SOMATIC_SV_PERCENT_BREAKENDS_IN_GENES: None | double
        :param SOMATIC_SV_PERCENT_DELETIONS_IN_GENES:
        :type SOMATIC_SV_PERCENT_DELETIONS_IN_GENES: None | double
        :param SOMATIC_SV_PERCENT_INSERTIONS_IN_GENES:
        :type SOMATIC_SV_PERCENT_INSERTIONS_IN_GENES: None | double
        :param SOMATIC_SV_PERCENT_INVERSIONS_IN_GENES:
        :type SOMATIC_SV_PERCENT_INVERSIONS_IN_GENES: None | double
        :param SOMATIC_SV_PERCENT_TANDEM_DUPLICATIONS_IN_GENES:
        :type SOMATIC_SV_PERCENT_TANDEM_DUPLICATIONS_IN_GENES: None | double
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.1.0"
